    The XSPEC TBgrain model: ISM grain absorption.

xstbgrain
The xstbgrain model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xstbgrain", "mdl")
>>> print(mdl)

Create a component of the xstbgrain model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.nH thawed 1 0 1e+06 10^22 atoms / cm^2 mdl.h2 frozen 0.2 0 1 mdl.rho frozen 1 0 5 g/cm^3 mdl.amin frozen 0.025 0 0.25 mum mdl.amax frozen 0.25 0 1 mum mdl.PL frozen 3.5 0 5

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
nH
The equivalent hydrogen column (in units of 10^22 atoms/cm^2).
h2
The equivalent molecular hydrogen column (in units of 10^22 atoms/cm^2).
rho
The grain density, in g/cm^3.
amin
The minimum grain size, in micro-meters.
amax
The maximum grain size, in micro-meters.
PL
The power-law index of grain sizes.

Notes

The `set_xsabund` function changes the relative abundances of the elements, in particular the "wilm" setting.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelTbabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023